Module javafx.graphics
Package javafx.scene.paint

# Enum CycleMethod

java.lang.Object
java.lang.Enum<CycleMethod>
javafx.scene.paint.CycleMethod

All Implemented Interfaces:
  `Serializable`, `Comparable<CycleMethod>`, `Constable`

    public enum CycleMethod
    extends Enum<CycleMethod>

This enum defines one of the following methods to use when painting outside the gradient bounds: `CycleMethod.NO_CYCLE`, `CycleMethod.REFLECT`, or `CycleMethod.REPEAT`.

Since:
  JavaFX 2.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `NO_CYCLE` | Defines the cycle method that uses the terminal colors to fill the remaining area.
  `REFLECT` | Defines the cycle method that reflects the gradient colors start-to-end, end-to-start to fill the remaining area.
  `REPEAT` | Defines the cycle method that repeats the gradient colors to fill the remaining area.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static CycleMethod` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
  `static CycleMethod[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NO_CYCLE

    public static final CycleMethod NO_CYCLE
    Defines the cycle method that uses the terminal colors to fill the remaining area.

  - ### REFLECT

    public static final CycleMethod REFLECT
    Defines the cycle method that reflects the gradient colors start-to-end, end-to-start to fill the remaining area.

  - ### REPEAT

    public static final CycleMethod REPEAT
    Defines the cycle method that repeats the gradient colors to fill the remaining area.

- ## Method Details

  - ### values

    public static CycleMethod[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CycleMethod valueOf​(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null